#!/bin/bash


if [ "$1" == "init" ] ; then
  killall dvb-aspect 2>&-
  killall dvb-wss-overdrive 2>&-
  rm -f /dev/dvb-wss-overdrive
  mkfifo /dev/dvb-wss-overdrive
  dvb-wss-overdrive </dev/dvb-wss-overdrive >/var/log/dvb-wss-overdrive 2>&1 &
  exit
fi


if [ "$1" == "exit" ] ; then
  killall dvb-aspect 2>&-
  echo "exit" >/dev/dvb-wss-overdrive
  sleep 1
  killall dvb-wss-overdrive 2>&-
  exit
fi


if [ "$1" == "free" ] ; then
  killall dvb-aspect 2>&-
  echo "free" >/dev/dvb-wss-overdrive 
  exit
fi


if [ "$1" == "auto" ] ; then
  killall dvb-aspect 2>&-
  echo "dvb-aspect >/dev/dvb-wss-overdrive" | at now
  exit
fi


killall dvb-aspect
echo $1 >/dev/dvb-wss-overdrive 

